\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,300); %set diagram left start at 0, and has height of 300

%Flowchart: Connector [id:dp050145101660589164] 
\draw   (214,77) .. controls (214,62.64) and (237.84,51) .. (267.25,51) .. controls (296.66,51) and (320.5,62.64) .. (320.5,77) .. controls (320.5,91.36) and (296.66,103) .. (267.25,103) .. controls (237.84,103) and (214,91.36) .. (214,77) -- cycle ;

%Flowchart: Connector [id:dp16644076859969092] 
\draw   (32,133) .. controls (32,118.64) and (55.84,107) .. (85.25,107) .. controls (114.66,107) and (138.5,118.64) .. (138.5,133) .. controls (138.5,147.36) and (114.66,159) .. (85.25,159) .. controls (55.84,159) and (32,147.36) .. (32,133) -- cycle ;

%Flowchart: Connector [id:dp14379039253286852] 
\draw   (142,193) .. controls (142,178.64) and (165.84,167) .. (195.25,167) .. controls (224.66,167) and (248.5,178.64) .. (248.5,193) .. controls (248.5,207.36) and (224.66,219) .. (195.25,219) .. controls (165.84,219) and (142,207.36) .. (142,193) -- cycle ;

%Flowchart: Connector [id:dp25437780530987397] 
\draw   (403,125) .. controls (403,110.64) and (426.84,99) .. (456.25,99) .. controls (485.66,99) and (509.5,110.64) .. (509.5,125) .. controls (509.5,139.36) and (485.66,151) .. (456.25,151) .. controls (426.84,151) and (403,139.36) .. (403,125) -- cycle ;

%Flowchart: Connector [id:dp5649083273663897] 
\draw   (289,195) .. controls (289,180.64) and (312.84,169) .. (342.25,169) .. controls (371.66,169) and (395.5,180.64) .. (395.5,195) .. controls (395.5,209.36) and (371.66,221) .. (342.25,221) .. controls (312.84,221) and (289,209.36) .. (289,195) -- cycle ;

%Straight Lines [id:da3774916035125093] 
\draw    (140.27,132.07) -- (218.23,90.93) ;
\draw [shift={(220,90)}, rotate = 512.1800000000001] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
\draw [shift={(138.5,133)}, rotate = 332.18] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (10.72,-5.15) -- (0,0) -- (10.72,5.15) -- (7.12,0) -- cycle    ;
%Straight Lines [id:da7666272278449386] 
\draw    (196.53,165.46) -- (248.22,103.54) ;
\draw [shift={(249.5,102)}, rotate = 489.85] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
\draw [shift={(195.25,167)}, rotate = 309.85] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (10.72,-5.15) -- (0,0) -- (10.72,5.15) -- (7.12,0) -- cycle    ;
%Straight Lines [id:da8905754174356391] 
\draw    (340.94,167.49) -- (285.81,103.51) ;
\draw [shift={(284.5,102)}, rotate = 409.24] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
\draw [shift={(342.25,169)}, rotate = 229.24] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (10.72,-5.15) -- (0,0) -- (10.72,5.15) -- (7.12,0) -- cycle    ;
%Straight Lines [id:da0984779447179267] 
\draw    (401.14,124.26) -- (316.36,90.41) ;
\draw [shift={(314.5,89.67)}, rotate = 381.76] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
\draw [shift={(403,125)}, rotate = 201.76] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (10.72,-5.15) -- (0,0) -- (10.72,5.15) -- (7.12,0) -- cycle    ;

% Text Node
\draw (267.25,77) node  [align=left] {Server};
% Text Node
\draw (85.25,133) node  [align=left] {Client};
% Text Node
\draw (195.25,193) node  [align=left] {Client};
% Text Node
\draw (456.25,125) node  [align=left] {Client};
% Text Node
\draw (342.25,195) node  [align=left] {Client};


\end{tikzpicture}